# Create an account link

Creates an AccountLink object that includes a single-use URL that an account can use to access a Stripe-hosted flow for collecting or updating required information.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/account_links \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.dahlia" \
  --json '{
    "account": "{{ACCOUNT_ID}}",
    "use_case": {
        "type": "account_onboarding",
        "account_onboarding": {
            "configurations": [
                "recipient"
            ],
            "return_url": "https://example.com/return",
            "refresh_url": "https://example.com/reauth"
        }
    }
  }'
```

### Response

```json
{
  "object": "v2.core.account_link",
  "account": "acct_1Nv0FGQ9RKHgCVdK",
  "created": "2025-03-27T17:15:18.000Z",
  "expires_at": "2025-03-27T17:25:18.000Z",
  "livemode": true,
  "url": "https://accounts.stripe.com/r/acct_1Nv0FGQ9RKHgCVdK#alu_test_61SGhyomRuz7xsw5216SGhyj0ASQdCLwMKdRUF3mi3H6",
  "use_case": {
    "account_onboarding": {
      "configurations": [
        "recipient"
      ],
      "refresh_url": "https://example.com/reauth",
      "return_url": "https://example.com/return"
    },
    "type": "account_onboarding"
  }
}
```

## Parameters

- `account` (string, required)
  The ID of the Account to create link for.

- [`use_case`](https://docs.stripe.com/api/v2/core/account-links/create.md?query=use_case) (object, required)
  The use case of the AccountLink.

## Returns

Returns an [Account Link object](https://docs.stripe.com/api/v2/core/account-links/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | accounts_v2_access_blocked | Accounts v2 is not enabled for your merchant. |
| 400 | configs_must_match_to_use_account_links | Account cannot be onboard via v2/core/account_links without specifying the right configurations. |
| 404 | not_found | The resource wasn’t found. |
| 429 | account_rate_limit_exceeded | Account cannot exceed a configured concurrency rate limit on updates. |
